# Get Custom Component Logs

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Custom Component Logs"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v2/custom_components/logs"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Get custom component installation logs as plain text.

<ParamsDetails
  parameters={undefined}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"text/plain":{"schema":{"type":"string"}}},"description":"Returns the installation logs for the custom component as a text."},"401":{"description":"You are not authorized to download the logs of these custom components."},"403":{"description":"You don't have permissions to download the logs of these custom components."},"404":{"description":"Raised when the custom component logs are not found."},"409":{"description":"The requested resources are inactive due to user inactivity. Log in to the Haystack Enterprise Platform to re-enable access."},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"},"500":{"description":"An internal server error occured while retrieving the custom component logs."}}}
>
  
</StatusCodes>
